petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMallocGetDebug

Indicates what PETSc memory debugging it is doing.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocGetDebug(PetscBool *basic, PetscBool *eachcall, PetscBool *initializenan)

Not Collective

### Output Parameters

| basic | - doing basic debugging
| eachcall | - checks the entire memory heap at each PetscMalloc()/PetscFree()
| initializenan | - initializes memory with NaN

### Notes

By default, the debug version always does some debugging unless you run with -malloc_debug no

### See Also

CHKMEMQ(), PetscMallocValidate(), PetscMallocSetDebug()

### Level

intermediate

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages